Enhavo
Indekso 🔎︎

# Write# Statement

Writes data to a sequential text file with delimiting characters.

Use Print# statement to print data to a sequential text file. Use Put# statement to write data to a binary or a random file.

### Syntax:

    Write [#fileNum] {,|;} expression [, …]

### Parameters:

fileNum: Any numeric expression that contains the file number that was set by the Open statement for the respective file.

expression list: Variables or expressions that you want to enter in a file, separated by commas.

Se oni ellasas la esprimoliston, la ordono Write postgluas vakan linion al la dosiero.

Por aldoni esprimoliston al nova aŭ al ekzistanta dosiero, necesas malfermi la dosieron laŭ la reĝimo Output aŭ Append.

Ĉenoj skribitaj de vi enfermiĝos en citiloj kaj apartiĝos de komoj. Ne necesas tajpi tiujn disigilojn en la listo de esprimoj.

Ĉiu ordono Write eligas linifinan signon kiel lastan elementon.

Nombroj kun dekumaj disigiloj konvertiĝos laŭ lokaĵaraj agordoj.

### Example:

      Sub ExampleWrite
          Dim iCount As Integer
          Dim sValue As String
          iCount = Freefile
          Open "C:\Users\ThisUser\data.txt" For Output As iCount
          sValue = "Hamburg"
          Write #iCount,sValue,200
          sValue = "New York"
          Write #iCount,sValue,300
          sValue = "Miami"
          Write #iCount,sValue,450
          Close #iCount
      End Sub

      Sub ExampleWrite
          Dim iCount As Integer
          Dim sValue As String
          iCount = Freefile
          Open "~/data.txt" For Output As iCount
          sValue = "Hamburg"
          Write #iCount,sValue,200
          sValue = "New York"
          Write #iCount,sValue,300
          sValue = "Miami"
          Write #iCount,sValue,450
          Close #iCount
      End Sub

Rilataj temoj

Open Statement

Print# Statement

Put# Statement

Close Statement